# EclipseClasspathEntry

interface EclipseClasspathEntry

An element that can have classpath attributes.

#### Since

2.14

#### Inheritors

EclipseClasspathContainer
EclipseProjectDependency
EclipseSourceDirectory
EclipseExternalDependency

## Functions

getAccessRules
Link copied to clipboard
abstract fun getAccessRules(): DomainObjectSet<out AccessRule>
Returns the access rules associated with this classpath entry.
getClasspathAttributes
Link copied to clipboard
abstract fun getClasspathAttributes(): DomainObjectSet<out ClasspathAttribute>
Returns the classpath attributes associated with this classpath entry.